/// <reference types="node" />
import * as net from 'net';
import * as tls from 'tls';
import { Connection } from '../connection/Connection';
import { TokenAPI } from './TokenAPI';
export declare type TokenServerOptions = tls.TlsOptions & net.ListenOptions & net.SocketConstructorOpts;
export declare class TokenServer extends TokenAPI {
    /** Contains all active connections */
    connections: Connection[];
    private options;
    private server;
    private hadError;
    constructor(options: TokenServerOptions);
    close(): boolean;
    connect(): boolean;
    private applyListeners();
}
